import { ITreeItem } from '@git-stack/core';
import { TreeGroupDropProps, MoveTreeNodeArgs } from '../TreeModel';
export interface TreeGroupOwnProps {
    group: string;
    data: ITreeItem[];
    onMoveItem: (args: MoveTreeNodeArgs) => void;
    styles: any;
    theme: any;
}
export interface TreeGroupDispatchProps {
    gitAction: (command: string, item?: ITreeItem) => void;
}
export declare type ITreeGroupProps = TreeGroupOwnProps & TreeGroupDispatchProps;
export declare type ITreeGroupComponentProps = ITreeGroupProps & TreeGroupDropProps;
declare const _default: never;
export default _default;
